## python-ironic-lib 4.0.0

=== debian/changelog ===
python-ironic-lib (4.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 12 Mar 2020 16:14:19 -0400

python-ironic-lib (3.0.0-0ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/watch: Get tarball from tarballs.openstack.org.
    - d/control: Add autopkgtest-pkg-python.
  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 28 Jan 2020 14:41:47 +0100

python-ironic-lib (2.21.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Sep 2019 14:09:07 -0400

python-ironic-lib (2.18.0-0ubuntu1) eoan; urgency=medium

  * d/control: Update Vsc-* with Ubuntu repos.
  * New upstream release for OpenStack Train.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 30 Jul 2019 15:29:37 -0400

python-ironic-lib (2.17.1-0ubuntu1) eoan; urgency=medium

  * Merge from Debian experimental.  Remaining changes:
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/watch: Get tarball from tarballs.openstack.org.
    - d/control: Add autopkgtest-pkg-python.
  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Jun 2019 12:38:45 -0400

=== debian/control ===
Source: python-ironic-lib
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-coverage (>= 4.0),
 python3-hacking (>= 1.0.0),
 python3-crypto,
 python3-eventlet (>= 0.18.2),
 python3-hacking (>= 1.0.0),
 python3-mock (>= 2.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-requests (>= 2.14.2),
 python3-six,
 python3-stestr (>= 1.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-zeroconf (>= 0.24.0),
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-ironic-lib
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-ironic-lib
Homepage: https://github.com/openstack/ironic-lib
Testsuite: autopkgtest-pkg-python

Package: python3-ironic-lib
Architecture: all
Depends:
 python3-crypto,
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.14.2),
 python3-six,
 python3-zeroconf (>= 0.24.0),
 ${misc:Depends},
 ${python3:Depends},
Description: common library used by various Ironic projects - Python 3.x
 A common library to be used by various projects in the Ironic ecosystem.
 .
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/ironic-lib.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

## python-ironic-lib 4.2.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
zeroconf>=0.24.0;python_version>='3.0' # LGPL

=== debian/changelog ===
python-ironic-lib (4.2.0-0ubuntu0.20.04.1) focal; urgency=medium

  * d/gbp.conf: Create stable/ussuri branch.
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 12 May 2020 15:12:38 -0400

=== debian/control ===
--- 
+++ 
@@ -14,12 +14,11 @@
  python3-setuptools,
  python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
- python3-coverage (>= 4.0),
- python3-hacking (>= 1.0.0),
  python3-crypto,
+ python3-doc8 (>= 0.6.0),
  python3-eventlet (>= 0.18.2),
- python3-hacking (>= 1.0.0),
  python3-mock (>= 2.0.0),
+ python3-openstackdocstheme (>= 1.20.0),
  python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.i18n (>= 3.15.3),

## python-ironic-lib 4.4.0

=== requirements.txt ===
--- 
+++ 
@@ -7,8 +7,10 @@
 oslo.config>=5.2.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
-oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
 requests>=2.14.2 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
-zeroconf>=0.24.0;python_version>='3.0' # LGPL
+zeroconf>=0.24.0 # LGPL
+bcrypt>=3.1.3 # Apache-2.0
+WebOb>=1.7.1 # MIT
+tenacity>=6.2.0 # Apache-2.0

=== debian/changelog ===
python-ironic-lib (4.4.0-3) unstable; urgency=medium

  * Removed python3-crypto from (build-)depends (Closes: #971298).

 -- Thomas Goirand <zigo@debian.org>  Sun, 22 Nov 2020 12:30:50 +0100

python-ironic-lib (4.4.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Oct 2020 23:16:05 +0200

python-ironic-lib (4.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Sep 2020 14:54:35 +0200

python-ironic-lib (4.2.1-2) unstable; urgency=medium

  * Add breaks+replaces: ironic-common (<< 1:15) (Closes: #964465).

 -- Thomas Goirand <zigo@debian.org>  Sun, 26 Jul 2020 12:59:14 +0200

python-ironic-lib (4.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Package etc/ironic/rootwrap.d/ironic-lib.filters correctly, and remove the
    /usr/etc folder.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Jul 2020 11:49:23 +0200

python-ironic-lib (4.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Apr 2020 16:48:49 +0200

=== debian/control ===
Source: python-ironic-lib
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 python3-bcrypt,
 python3-coverage,
 python3-hacking,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-pygments,
 python3-requests,
 python3-stestr,
 python3-tenacity (>= 6.2.0),
 python3-webob,
 python3-zeroconf (>= 0.24.0),
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-ironic-lib
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-ironic-lib.git
Homepage: https://github.com/openstack/ironic-lib

Package: python3-ironic-lib
Architecture: all
Depends:
 python3-bcrypt,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-requests,
 python3-tenacity (>= 6.2.0),
 python3-webob,
 python3-zeroconf (>= 0.24.0),
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 ironic-common (<< 1:15),
Replaces:
 ironic-common (<< 1:15),
Description: common library used by various Ironic projects - Python 3.x
 A common library to be used by various projects in the Ironic ecosystem.
 .
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -12,14 +12,20 @@
 override_dh_auto_build:
 	echo "Do nothing..."
 
+override_dh_auto_test:
+	echo "Do nothing..."
+
 override_dh_auto_install:
-	pkgos-dh_auto_install --no-py2
+	pkgos-dh_auto_install --no-py2 --in-tmp
 
-override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	pkgos-dh_auto_test --no-py2
 endif
 
+override_dh_install:
+	dh_install
+	rm -rf $(CURDIR)/debian/python3-ironic-lib/usr/etc
+
 override_dh_clean:
 	dh_clean -O--buildsystem=python_distutils
 	rm -rf build

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/ironic-lib/tags .*/(\d[\d\.]+)\.tar\.gz

## python-ironic-lib 4.4.2

=== debian/changelog ===
python-ironic-lib (4.4.2-1~bpo11+1) UNRELEASED; urgency=medium

  [ Michal Arbet ]
  * New upstream version

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-victoria.infomaniak.ch>  Mon, 31 Jan 2022 10:42:25 +0000

## python-ironic-lib 4.6.1

=== requirements.txt ===
--- 
+++ 
@@ -6,7 +6,6 @@
 oslo.concurrency>=3.26.0 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
-oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
 requests>=2.14.2 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0

=== debian/changelog ===
python-ironic-lib (4.6.1-0ubuntu1) hirsute; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream release for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 17 Mar 2021 14:37:30 +0000

python-ironic-lib (4.4.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 11 Sep 2020 15:25:32 -0400

python-ironic-lib (4.3.1-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 03 Sep 2020 07:38:47 +0000

python-ironic-lib (4.3.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.5.0.
  * d/control, d/rules: Switch to debhelper compat 12 and pybuild.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Jul 2020 10:46:15 -0400

python-ironic-lib (4.2.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Apr 2020 10:35:07 -0400

=== debian/control ===
Source: python-ironic-lib
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-bcrypt (>= 3.1.3),
 python3-crypto,
 python3-doc8 (>= 0.6.0),
 python3-eventlet (>= 0.18.2),
 python3-keystonemiddleware (>= 4.17.0),
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-pygments (>= 2.2.0),
 python3-requests (>= 2.14.2),
 python3-six,
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-stestr (>= 1.0.0),
 python3-tenacity (>= 6.2.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.7.1),
 python3-zeroconf (>= 0.24.0),
 subunit,
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-ironic-lib
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-ironic-lib
Homepage: https://github.com/openstack/ironic-lib
Testsuite: autopkgtest-pkg-python

Package: python3-ironic-lib
Architecture: all
Depends:
 python3-bcrypt (>= 3.1.3),
 python3-crypto,
 python3-keystonemiddleware (>= 4.17.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.14.2),
 python3-six,
 python3-tenacity (>= 6.2.0),
 python3-zeroconf (>= 0.24.0),
 ${misc:Depends},
 ${python3:Depends},
Description: common library used by various Ironic projects - Python 3.x
 A common library to be used by various projects in the Ironic ecosystem.
 .
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Python 3.x module.

## python-ironic-lib 5.0.0

=== requirements.txt ===
--- 
+++ 
@@ -6,8 +6,7 @@
 oslo.concurrency>=3.26.0 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
-oslo.utils>=3.33.0 # Apache-2.0
-requests>=2.14.2 # Apache-2.0
+oslo.utils>=3.34.0 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
 zeroconf>=0.24.0 # LGPL
 bcrypt>=3.1.3 # Apache-2.0

=== debian/changelog ===
python-ironic-lib (5.0.0-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 07 Sep 2021 20:31:26 +0000

python-ironic-lib (5.0.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Sep 2021 15:03:26 -0400

python-ironic-lib (4.7.1-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 07 Jun 2021 10:47:56 +0000

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
  python3-oslo.log (>= 3.36.0),
  python3-oslo.messaging (>= 5.29.0),
  python3-oslo.serialization (>= 2.18.0),
- python3-oslo.utils (>= 3.33.0),
+ python3-oslo.utils (>= 3.34.0),
  python3-oslotest (>= 1:3.2.0),
  python3-pygments (>= 2.2.0),
  python3-requests (>= 2.14.2),
@@ -58,11 +58,12 @@
  python3-oslo.log (>= 3.36.0),
  python3-oslo.messaging (>= 5.29.0),
  python3-oslo.serialization (>= 2.18.0),
- python3-oslo.utils (>= 3.33.0),
+ python3-oslo.utils (>= 3.34.0),
  python3-pbr (>= 2.0.0),
  python3-requests (>= 2.14.2),
  python3-six,
  python3-tenacity (>= 6.2.0),
+ python3-webob (>= 1:1.7.1),
  python3-zeroconf (>= 0.24.0),
  ${misc:Depends},
  ${python3:Depends},

## python-ironic-lib 5.2.0

=== debian/changelog ===
python-ironic-lib (5.2.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 Mar 2022 13:07:27 -0500

python-ironic-lib (5.1.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Bump debhelper compat to 13.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jan 2022 12:15:39 -0500

python-ironic-lib (5.0.0-0ubuntu2) jammy; urgency=medium

  * d/control: Drop python3-crypto from (Build-)Depends.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Nov 2021 09:23:31 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -15,7 +15,6 @@
  python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
  python3-bcrypt (>= 3.1.3),
- python3-crypto,
  python3-doc8 (>= 0.6.0),
  python3-eventlet (>= 0.18.2),
  python3-keystonemiddleware (>= 4.17.0),
@@ -24,7 +23,6 @@
  python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.i18n (>= 3.15.3),
- python3-oslo.log (>= 3.36.0),
  python3-oslo.messaging (>= 5.29.0),
  python3-oslo.serialization (>= 2.18.0),
  python3-oslo.utils (>= 3.34.0),
@@ -50,12 +48,10 @@
 Architecture: all
 Depends:
  python3-bcrypt (>= 3.1.3),
- python3-crypto,
  python3-keystonemiddleware (>= 4.17.0),
  python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.i18n (>= 3.15.3),
- python3-oslo.log (>= 3.36.0),
  python3-oslo.messaging (>= 5.29.0),
  python3-oslo.serialization (>= 2.18.0),
  python3-oslo.utils (>= 3.34.0),

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=ironic_lib

UPSTREAM_GIT := https://github.com/openstack/ironic-lib.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_clean:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_clean:
	dh_clean -O--buildsystem=pybuild
	rm -rf build

## python-ironic-lib 5.3.0

=== requirements.txt ===
--- 
+++ 
@@ -7,7 +7,6 @@
 oslo.config>=5.2.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.utils>=3.34.0 # Apache-2.0
-oslo.log>=3.36.0 # Apache-2.0
 zeroconf>=0.24.0 # LGPL
 bcrypt>=3.1.3 # Apache-2.0
 WebOb>=1.7.1 # MIT

=== debian/changelog ===
python-ironic-lib (5.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 09:20:33 +0200

python-ironic-lib (5.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Aug 2022 17:36:50 +0200

python-ironic-lib (5.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Mar 2022 12:13:30 +0100

python-ironic-lib (5.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Feb 2022 22:25:01 +0100

python-ironic-lib (5.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends on python3-oslo.log.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Feb 2022 17:03:08 +0100

python-ironic-lib (5.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 11 Jan 2022 15:23:58 +0100

python-ironic-lib (5.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 10:29:26 +0200

python-ironic-lib (5.0.0-1) experimental; urgency=medium

  [ Mickael Asseline ]
  * New upstream release.
  * Added myself in copyright and uploaders.
  * Removed python-requests to build-depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Aug 2021 15:53:11 +0200

python-ironic-lib (4.6.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 08:44:58 +0200

python-ironic-lib (4.6.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 09 Mar 2021 10:35:53 +0100

python-ironic-lib (4.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed oslo.serialization from (build-)depends.
  * Removed (build-)depends versions when satisfied in Bullseye.
  * Removed Breaks:+Replaces: ironic-common (<< 1:15), in advance of Bullseye
    release.
  * Blacklist ironic_lib.tests.test_json_rpc.TestService.test_authenticated
    which is failing.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Mar 2021 10:04:24 +0100

=== debian/control ===
Source: python-ironic-lib
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Mickael Asseline <mickael@papamica.com>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 python3-bcrypt,
 python3-coverage,
 python3-hacking,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.messaging,
 python3-oslo.utils,
 python3-oslotest,
 python3-pygments,
 python3-stestr,
 python3-tenacity,
 python3-webob,
 python3-zeroconf,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-ironic-lib
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-ironic-lib.git
Homepage: https://github.com/openstack/ironic-lib

Package: python3-ironic-lib
Architecture: all
Depends:
 python3-bcrypt,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.utils,
 python3-pbr,
 python3-tenacity,
 python3-webob,
 python3-zeroconf,
 ${misc:Depends},
 ${python3:Depends},
Description: common library used by various Ironic projects - Python 3.x
 A common library to be used by various projects in the Ironic ecosystem.
 .
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/ironic-lib.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'ironic_lib\.tests\.(?!(.*test_json_rpc\.TestService\.test_authenticated.*))'
endif

override_dh_install:
	dh_install
	rm -rf $(CURDIR)/debian/python3-ironic-lib/usr/etc

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

## python-ironic-lib 5.4.0

=== debian/changelog ===
python-ironic-lib (5.4.0-0ubuntu1~cloud0) jammy-antelope; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 23 Feb 2023 16:00:32 +0000

python-ironic-lib (5.4.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2023 13:17:02 -0500

python-ironic-lib (5.3.0-0ubuntu2) lunar; urgency=medium

  * d/control: Depend on python3-zeroconf >= 0.47.1-1ubuntu1
    (LP: #2002827).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 13 Jan 2023 09:51:58 -0500

python-ironic-lib (5.3.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Sep 2022 17:58:39 -0400

=== debian/control ===
Source: python-ironic-lib
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-bcrypt (>= 3.1.3),
 python3-doc8 (>= 0.6.0),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.34.0),
 python3-oslotest (>= 1:3.2.0),
 python3-pygments (>= 2.2.0),
 python3-requests (>= 2.14.2),
 python3-six,
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-stestr (>= 1.0.0),
 python3-tenacity (>= 6.2.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.7.1),
 python3-zeroconf (>= 0.38.3),
 subunit,
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-ironic-lib
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-ironic-lib
Homepage: https://github.com/openstack/ironic-lib
Testsuite: autopkgtest-pkg-python

Package: python3-ironic-lib
Architecture: all
Depends:
 python3-bcrypt (>= 3.1.3),
 python3-keystonemiddleware (>= 4.17.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.34.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.14.2),
 python3-six,
 python3-tenacity (>= 6.2.0),
 python3-webob (>= 1:1.7.1),
 python3-zeroconf (>= 0.38.3),
 ${misc:Depends},
 ${python3:Depends},
Description: common library used by various Ironic projects - Python 3.x
 A common library to be used by various projects in the Ironic ecosystem.
 .
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Python 3.x module.

## python-ironic-lib 5.5.0

=== debian/changelog ===
python-ironic-lib (5.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Aug 2023 16:19:15 +0200

python-ironic-lib (5.4.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1048056).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Aug 2023 16:16:44 +0200

python-ironic-lib (5.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Jun 2023 10:46:26 +0200

python-ironic-lib (5.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 09:10:33 +0100

## python-ironic-lib 5.5.1

=== debian/changelog ===
python-ironic-lib (5.5.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-bobcat.debian.net>  Thu, 02 Oct 2025 08:48:01 +0000

python-ironic-lib (5.5.0-3) unstable; urgency=medium

  [ YOKOTA Hiroshi ]
  * python3-zeroconf 0.129.0 API change fix for ironic-lib (Closes: #1058792).

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 Dec 2023 13:51:27 +0100

python-ironic-lib (5.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 21:42:42 +0200

=== debian/control ===
Source: python-ironic-lib
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Mickael Asseline <mickael@papamica.com>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 python3-bcrypt,
 python3-coverage,
 python3-hacking,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.messaging,
 python3-oslo.utils,
 python3-oslotest,
 python3-pygments,
 python3-stestr,
 python3-tenacity,
 python3-webob,
 python3-zeroconf (>= 0.129.0),
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-ironic-lib
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-ironic-lib.git
Homepage: https://github.com/openstack/ironic-lib

Package: python3-ironic-lib
Architecture: all
Depends:
 python3-bcrypt,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.utils,
 python3-pbr,
 python3-tenacity,
 python3-webob,
 python3-zeroconf (>= 0.129.0),
 ${misc:Depends},
 ${python3:Depends},
Description: common library used by various Ironic projects - Python 3.x
 A common library to be used by various projects in the Ironic ecosystem.
 .
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,9 @@
 	dh $@ --buildsystem=python_distutils --with python3
 
 override_dh_auto_clean:
-	echo "Do nothing..."
+	rm -rf build .stestr *.egg-info
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."
@@ -25,7 +27,3 @@
 override_dh_install:
 	dh_install
 	rm -rf $(CURDIR)/debian/python3-ironic-lib/usr/etc
-
-override_dh_clean:
-	dh_clean -O--buildsystem=python_distutils
-	rm -rf build

## python-ironic-lib 6.0.0

=== doc/requirements.txt ===
sphinx>=2.0.0,!=2.1.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0
sphinxcontrib-apidoc>=0.2.0  # BSD

=== debian/changelog ===
python-ironic-lib (6.0.0-0ubuntu1~cloud0) jammy-caracal; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 08 Mar 2024 17:22:58 +0000

python-ironic-lib (6.0.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal. 

 -- James Page <james.page@canonical.com>  Fri, 08 Mar 2024 14:06:37 +0000

python-ironic-lib (5.6.0-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release for OpenStack Caracal.
  * d/rules,python3-ironic-lib.install: Install rootwrap configuration
    to /etc/ironic/rootwrap.d.

 -- James Page <james.page@ubuntu.com>  Thu, 18 Jan 2024 15:01:10 +0000

python-ironic-lib (5.5.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Jun 2023 16:55:32 -0400

=== debian/control ===
Source: python-ironic-lib
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-bcrypt (>= 3.1.3),
 python3-doc8 (>= 0.6.0),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.34.0),
 python3-oslotest (>= 1:3.2.0),
 python3-pygments (>= 2.2.0),
 python3-requests (>= 2.14.2),
 python3-six,
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-stestr (>= 1.0.0),
 python3-tenacity (>= 6.2.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.7.1),
 python3-zeroconf (>= 0.47.1-1ubuntu1~),
 subunit,
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-ironic-lib
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-ironic-lib
Homepage: https://github.com/openstack/ironic-lib
Testsuite: autopkgtest-pkg-python

Package: python3-ironic-lib
Architecture: all
Depends:
 python3-bcrypt (>= 3.1.3),
 python3-keystonemiddleware (>= 4.17.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.34.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.14.2),
 python3-six,
 python3-tenacity (>= 6.2.0),
 python3-webob (>= 1:1.7.1),
 python3-zeroconf (>= 0.47.1-1ubuntu1~),
 ${misc:Depends},
 ${python3:Depends},
Description: common library used by various Ironic projects - Python 3.x
 A common library to be used by various projects in the Ironic ecosystem.
 .
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Python 3.x module.

## python-ironic-lib 6.0.1

=== debian/changelog ===
python-ironic-lib (6.0.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream relase.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-caracal.infomaniak.ch>  Tue, 30 Sep 2025 14:11:21 +0000

python-ironic-lib (6.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Apr 2024 10:40:54 +0200

python-ironic-lib (6.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Drop 0001-Zeroconf-API-was-changed-since-Zeroconf-0.129.0-Clos.patch
    applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Feb 2024 09:13:42 +0100

## python-ironic-lib 6.2.0

=== requirements.txt ===
pbr>=2.0.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.utils>=3.34.0 # Apache-2.0
zeroconf>=0.24.0 # LGPL
bcrypt>=3.1.3 # Apache-2.0
WebOb>=1.7.1 # MIT
tenacity>=6.2.0 # Apache-2.0

=== debian/changelog ===
python-ironic-lib (6.2.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090515).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 10:33:02 +0100

python-ironic-lib (6.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Sep 2024 00:23:08 +0200

python-ironic-lib (6.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Aug 2024 10:36:34 +0200

## python-ironic-lib 7.0.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

pbr>=6.0.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.utils>=3.34.0 # Apache-2.0
zeroconf>=0.24.0 # LGPL
bcrypt>=3.1.3 # Apache-2.0
WebOb>=1.7.1 # MIT

=== doc/requirements.txt ===
sphinx>=2.0.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0
sphinxcontrib-apidoc>=0.2.0  # BSD

=== debian/changelog ===
python-ironic-lib (7.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 08:34:41 +0100

python-ironic-lib (7.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Wed, 26 Feb 2025 11:28:25 +0100

=== debian/control ===
Source: python-ironic-lib
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Mickael Asseline <mickael@papamica.com>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 6.0.0),
 python3-setuptools,
Build-Depends-Indep:
 python3-bcrypt,
 python3-coverage,
 python3-hacking,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.messaging,
 python3-oslo.utils,
 python3-oslotest,
 python3-pygments,
 python3-stestr,
 python3-webob,
 python3-zeroconf (>= 0.129.0),
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-ironic-lib
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-ironic-lib.git
Homepage: https://github.com/openstack/ironic-lib

Package: python3-ironic-lib
Architecture: all
Depends:
 python3-bcrypt,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.utils,
 python3-pbr (>= 6.0.0),
 python3-webob,
 python3-zeroconf (>= 0.129.0),
 ${misc:Depends},
 ${python3:Depends},
Description: common library used by various Ironic projects - Python 3.x
 A common library to be used by various projects in the Ironic ecosystem.
 .
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_clean:
 	rm -rf build .stestr *.egg-info

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/ironic-lib refs/tags/(\d[brc\d\.]+)
